# Uses of Enum Class
org.apache.datasketches.tuple.aninteger.IntegerSummary.Mode

Packages that use IntegerSummary.Mode
Package
Description
org.apache.datasketches.tuple.aninteger
This package is for a generic implementation of the Tuple sketch for single Integer value.

## Uses of IntegerSummary.Mode in org.apache.datasketches.tuple.aninteger

Subclasses with type arguments of type IntegerSummary.Mode in org.apache.datasketches.tuple.aninteger
Modifier and Type
Class
Description
`static enum`
`IntegerSummary.Mode`
The aggregation modes for this Summary
Methods in org.apache.datasketches.tuple.aninteger that return IntegerSummary.Mode
Modifier and Type
Method
Description
`static IntegerSummary.Mode`
IntegerSummary.Mode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IntegerSummary.Mode[]`
IntegerSummary.Mode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.datasketches.tuple.aninteger with parameters of type IntegerSummary.Mode
Modifier
Constructor
Description
``
`IntegerSummary(IntegerSummary.Mode mode)`
Creates an instance of IntegerSummary with a given mode.
``
`IntegerSummaryFactory(IntegerSummary.Mode summaryMode)`
Creates an instance of IntegerSummaryFactory with a given mode
``
`IntegerSummarySetOperations(IntegerSummary.Mode unionSummaryMode, IntegerSummary.Mode intersectionSummaryMode)`
Creates a new instance with two modes
``
`IntegerTupleSketch(int lgK, int lgResizeFactor, float samplingProbability, IntegerSummary.Mode mode)`
Creates this sketch with the following parameters:
``
`IntegerTupleSketch(int lgK, IntegerSummary.Mode mode)`
Constructs this sketch with given lgK.
``
`IntegerTupleSketch(MemorySegment seg, IntegerSummary.Mode mode)`
Deprecated.
As of 3.0.0, heapifying an UpdatableTupleSketch is deprecated.